summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 19:45:12 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 19:45:12 +0200
commit0477209d06b85cc4a8a4fe25132a5823173eea1e (patch)
tree9d5a281a185d7224fd40ef1dd4fef19f355ff709 /libraries
parentbfaf3362c846ebe5da3c6604e7f003940efdb9d1 (diff)
downloadslackbuilds-0477209d06b85cc4a8a4fe25132a5823173eea1e.tar.gz
slackbuilds-0477209d06b85cc4a8a4fe25132a5823173eea1e.tar.xz
libraries/libevent: Updated for version 1.3e
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libevent/README1
-rw-r--r--libraries/libevent/libevent.SlackBuild17
-rw-r--r--libraries/libevent/libevent.info8
-rw-r--r--libraries/libevent/slack-desc10
4 files changed, 21 insertions, 15 deletions
diff --git a/libraries/libevent/README b/libraries/libevent/README
index d982e33ce2..7d371e1ad1 100644
--- a/libraries/libevent/README
+++ b/libraries/libevent/README
@@ -2,4 +2,3 @@ The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. Furthermore, libevent also support callbacks due
to signals or regular timeouts.
-
diff --git a/libraries/libevent/libevent.SlackBuild b/libraries/libevent/libevent.SlackBuild
index 376d9f8efa..482ce52154 100644
--- a/libraries/libevent/libevent.SlackBuild
+++ b/libraries/libevent/libevent.SlackBuild
@@ -2,13 +2,13 @@
# Slackware build script for libevent
# Written by Erik Hanson erik@slackbuilds.org
-# Modified by the SlackBuilds.org project
PRGNAM=libevent
-VERSION=1.2a
+VERSION=1.3e
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -34,18 +34,17 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
+ --mandir=/usr/man \
--enable-static=no \
|| exit 1
make || exit 1
make install-strip DESTDIR=$PKG || exit 1
-if [ -d $PKG/usr/man ]; then
- ( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
- )
-fi
+( cd $PKG/usr/man || exit
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README sample $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/libraries/libevent/libevent.info b/libraries/libevent/libevent.info
index 152ebb9f04..af6feb1552 100644
--- a/libraries/libevent/libevent.info
+++ b/libraries/libevent/libevent.info
@@ -1,8 +1,8 @@
PRGNAM="libevent"
-VERSION="1.2a"
+VERSION="1.3e"
HOMEPAGE="http://www.monkey.org/~provos/libevent/"
-DOWNLOAD="http://www.monkey.org/~provos/libevent-1.2a.tar.gz"
-MD5SUM="bb0b731b0c1bfa7267b8cd6192982d68"
+DOWNLOAD="http://www.monkey.org/~provos/libevent-1.3e.tar.gz"
+MD5SUM="8553ad0f8a35d8d96ae0c69c387e06d3"
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
-APPROVED="rworkman"
+APPROVED="David Somero"
diff --git a/libraries/libevent/slack-desc b/libraries/libevent/slack-desc
index 5aecac611f..b55b8f9e3d 100644
--- a/libraries/libevent/slack-desc
+++ b/libraries/libevent/slack-desc
@@ -1,4 +1,12 @@
-libevent: libevent - an event notification library
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libevent: libevent (event notification library)
libevent:
libevent: The libevent API provides a mechanism to execute a callback function
libevent: when a specific event occurs on a file descriptor or after a timeout